gdcm::Preamble Class Reference

DICOM Preamble (Part 10). More...

`#include <gdcmPreamble.h>`

## Public Member Functions

| Preamble ()
| Preamble (Preamble const &)
| ~Preamble ()
void | Clear ()
| Clear.
void | Create ()
const char * | GetInternal () const
| Get internal pointer to preamble.
VL | GetLength () const
| Return size of Preamble.
bool | IsEmpty () const
| Check if Preamble is empty.
Preamble & | operator= (Preamble const &)
void | Print (std::ostream &os) const
| Print Preamble.
std::istream & | Read (std::istream &is)
| Read Preamble.
void | Remove ()
void | Valid ()
| Set Preamble to the default one.
std::ostream const & | Write (std::ostream &os) const
| Write Preamble.

## Protected Member Functions

bool | IsValid () const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Preamble &_val)

## Detailed Description

DICOM Preamble (Part 10).

## Constructor & Destructor Documentation

## Preamble() [1/2]

gdcm::Preamble::Preamble | ( |  | ) |

Referenced by Preamble(), ~Preamble(), operator<<, and operator=().

## ~Preamble()

gdcm::Preamble::~Preamble | ( |  | ) |

References Preamble(), and operator<<.

## Preamble() [2/2]

gdcm::Preamble::Preamble | ( | Preamble const & |  | ) |

inline

References Preamble(), and Create().

## Member Function Documentation

## Clear()

void gdcm::Preamble::Clear | ( |  | ) |

Clear.

## Create()

void gdcm::Preamble::Create | ( |  | ) |

Referenced by Preamble(), and operator=().

## GetInternal()

const char * gdcm::Preamble::GetInternal | ( |  | ) | const

inline

Get internal pointer to preamble.

## GetLength()

VL gdcm::Preamble::GetLength | ( |  | ) | const

inline

Return size of Preamble.

## IsEmpty()

bool gdcm::Preamble::IsEmpty | ( |  | ) | const

inline

Check if Preamble is empty.

## IsValid()

bool gdcm::Preamble::IsValid | ( |  | ) | const

inline protected

## operator=()

Preamble & gdcm::Preamble::operator= | ( | Preamble const & |  | ) |

inline

References Preamble(), and Create().

## Print()

void gdcm::Preamble::Print | ( | std::ostream & | os | ) | const

Print Preamble.

## Read()

std::istream & gdcm::Preamble::Read | ( | std::istream & | is | ) |

Read Preamble.

## Remove()

void gdcm::Preamble::Remove | ( |  | ) |

## Valid()

void gdcm::Preamble::Valid | ( |  | ) |

Set Preamble to the default one.

## Write()

std::ostream const & gdcm::Preamble::Write | ( | std::ostream & | os | ) | const

Write Preamble.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Preamble & | _val )

friend

References Preamble().

Referenced by ~Preamble().

The documentation for this class was generated from the following file:

- gdcmPreamble.h